---
title: "Bring back forums"
date: 2023-06-02T06:42:36
slug: bring-back-forums

---
So Reddit have decided to [pull a Twitter](https://www.redditinc.com/blog/2023apiupdates) and make their API pricing ludicrously high. According the developer of Apollo, they're charging $12,000 per 50 million requests. In [his thread](https://www.reddit.com/r/apolloapp/comments/13ws4w3/had_a_call_with_reddit_to_discuss_pricing_bad/), he estimates his annual bill could be $20 million.

Of course this is intentional. Reddit don't _want_ third-party clients because they don't serve ads, or collect enough data. What Reddit want is to keep every user within their walled garden and monetise them as much as possible. So they're going to put every third-party dev out of business.

If the Apollo app has to shut down, much like with Twitter I'll end up spending a _lot_ less time there. In both cases, the official apps were so bad that I happily paid annual subscriptions for well-made alternatives.

But this just serves as a reminder of what we actually lost when sites like Reddit took over. Independent forums were a great way to find and interact with niche communities. Hell, I even became a developer because as a teenager I decided to start a forum using phpBB and found I enjoyed the programming side.

I don't know what forum software is even out there these days. I know that phpBB is still in active development, but it's not had a major version release since 2008 and the UI still looks more-or-less identical to how it did then. But it would be great to see those little communities come back in some shape or form without being attached to a corporation that just wants to drain every last bit of value before discarding the withered husk.
